# Class WriteAbortedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.ObjectStreamException
java.io.WriteAbortedException

All Implemented Interfaces:
  `Serializable`

public class WriteAbortedException extends ObjectStreamException
Signals that one of the ObjectStreamExceptions was thrown during a write operation. Thrown during a read operation when one of the ObjectStreamExceptions was thrown during a write operation. The exception that terminated the write can be found in the detail field. The stream is reset to its initial state and all references to objects already deserialized are discarded.

Since:
  1.1
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Exception`
`detail`
Deprecated.
This field predates the general-purpose exception chaining facility.

## Constructor Summary

Constructors
Constructor
Description
`WriteAbortedException(String s, Exception ex)`
Constructs a WriteAbortedException with a string describing the exception and the exception causing the abort.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
Returns the exception that terminated the operation (the cause).
`String`
`getMessage()`
Produce the message and include the message from the nested exception, if there is one.

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
Modifier and Type
Method
Description
`final void`
`addSuppressed(Throwable exception)`
Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
`Throwable`
`fillInStackTrace()`
Fills in the execution stack trace.
`String`
`getLocalizedMessage()`
Creates a localized description of this throwable.
`StackTraceElement[]`
`getStackTrace()`
Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
`final Throwable[]`
`getSuppressed()`
Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
`Throwable`
`initCause(Throwable cause)`
Initializes the cause of this throwable to the specified value.
`void`
`printStackTrace()`
Prints this throwable and its backtrace to the standard error stream.
`void`
`printStackTrace(PrintStream s)`
Prints this throwable and its backtrace to the specified print stream.
`void`
`printStackTrace(PrintWriter s)`
Prints this throwable and its backtrace to the specified print writer.
`void`
`setStackTrace(StackTraceElement[] stackTrace)`
Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
`String`
`toString()`
Returns a short description of this throwable.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### detail

@Deprecated(since="17") public Exception detail
Deprecated.
This field predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.
Exception that was caught while writing the ObjectStream.

## Constructor Details

### WriteAbortedException

public WriteAbortedException(String s, Exception ex)
Constructs a WriteAbortedException with a string describing the exception and the exception causing the abort.

Parameters:
  `s` - String describing the exception.
  `ex` - Exception causing the abort.

## Method Details

### getMessage

public String getMessage()
Produce the message and include the message from the nested exception, if there is one.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

### getCause

public Throwable getCause()
Returns the exception that terminated the operation (the cause).

Overrides:
  `getCause` in class `Throwable`
Returns:
  the exception that terminated the operation (the cause), which may be null.
Since:
  1.4